# Helm values for the staging context
#

# The name of archive helm deployment.
archiveReleaseName: resif-archive

replicaCount: 2
image:
  repository: gricad-registry.univ-grenoble-alpes.fr/osug/resif/resif-wfcatalog/worker
  pullPolicy: Always
  # Overrides the image tag whose default is the chart appVersion.
  tag: master
config:
  RUNMODE: production
  AMQP_SERVER: resif-mq.u-ga.fr
  AMQP_USER: integrator
  MPLCONFIGDIR: /home/sysop/.config/matplotlip
jsonConfig:
  VERSION: "0.5.0"
  VERSION_DATE: 2021-07-07
  ARCHIVE: EIDA NODE
  PUBLISHER: OBSPY MSEED-QC
  STRUCTURE: SDSbynet
  MONGO:
    ENABLED: true
    DB_HOST: resif-mongo.u-ga.fr
    DB_PORT: 27017
    DB_NAME: wfrepo
    DB_USER: worker-wfcatalog
    DB_PASS: $MONGODB_PASSWORD
    ALLOW_DOUBLE: false
  ARCHIVE_ROOT: /mnt/auto/archive/data/bynet
  DEFAULT_LOG_FILE: WFCatalog-collector.log
  PROCESSING_TIMEOUT: 120
  ENABLE_DUBLIN_CORE: false
  FILTERS:
    WHITE: "[*]"
    BLACK: []

resources:
  limits:
    cpu: 1
    memory: 2G
  requests:
    cpu: 1
    memory: 2G
